
From: Christoph Lameter <christoph@lameter.com>

Here is a fix for x86_64 that adds pcibus_to_node to asm-x86_64/topology.h.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-x86_64/topology.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/asm-x86_64/topology.h~fix-pcibus_to_node-for-x86_64 include/asm-x86_64/topology.h
--- 25/include/asm-x86_64/topology.h~fix-pcibus_to_node-for-x86_64	Fri May 20 14:13:24 2005
+++ 25-akpm/include/asm-x86_64/topology.h	Fri May 20 14:13:24 2005
@@ -26,7 +26,8 @@ extern int __node_distance(int, int);
 #define parent_node(node)		(node)
 #define node_to_first_cpu(node) 	(__ffs(node_to_cpumask[node]))
 #define node_to_cpumask(node)		(node_to_cpumask[node])
-#define pcibus_to_cpumask(bus)		node_to_cpumask(pci_bus_to_node[(bus)->number]);
+#define pcibus_to_node(bus)		pci_bus_to_node[(bus)->number]
+#define pcibus_to_cpumask(bus)		node_to_cpumask(pcibus_to_node(bus));
 
 /* sched_domains SD_NODE_INIT for x86_64 machines */
 #define SD_NODE_INIT (struct sched_domain) {		\
_
